#include <iostream>
#include <bits/stdc++.h>
#include <string>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);


    long long int N, L, H;
    cin >> N >> L;
    long long int i = 0, br = -1;
    for(i=1; i<=N; i++)
    {
        cin >> H;
        if(br == -1 && L >= H)
        {
            br = i;
        }
    }
    cout << br;
}